| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests⦠| |||
This endpoint records a planned digital use of a song. Customers creating content for clients that will post videos to YouTube will clear content claims by generating a unique code for each song used in a video.
For now this only applies to content uploaded to YouTube.
Important usage info
- Generated codes are single-use, and will only clear one song per video
- One single-use code is needed for each song used in a video
- Each code must be added to the video description at the time of upload
Required for YouTube monetizationThis is required for any content that will be uploaded to YouTube where the user requires monetization privileges, and the video must include the
youtube_codein the description when the video is posted in order to be automatically cleared for use. The video will not have monetization claims removed if the code was not input into the description at the time of upload.
Example request
curl -X POST "https://api.soundstripe.com/v1/songs/12622/digital_usages" \
-H "Authorization: Token YOUR_API_KEY" \
-H "Content-Type: application/vnd.api+json" \
-H "Accept: application/vnd.api+json" \
-d '{
"data": {
"type": "digital_usages"
}
}'The endpoint returns 404 when the song does not exist or is not released. If the upstream YouTube-code service times out, it returns 504; retry the request later.